#include "vision.h"

std::vector<int> getVisionPattern1d()
{
    return {1, 2, 3};
}

int getMove1d(std::vector<int> v)
{
    int center = v[v.size()/2];
    if(center == 1) {
        if(v[0] == 3) return 2;
        return 0;
    }
    if(center == 2) {
        if(v[0] == 3) return 4;
        return 0;
    }
    if(v[4] == 1) return 6;
    return 0;
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
